Xerces-C++: XSObject Class Reference

Xerces-C++ 3.3.0

List of all members
XSObject Class Reference

`#include <xercesc/framework/psvi/XSObject.hpp>`

Inheritance diagram for XSObject:

## Public Member Functions
Constructors
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
virtual | ~XSObject ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## XSObject methods
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e.
virtual const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces.
virtual const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified.
virtual XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
virtual XMLSize_t | getId () const
| Optional.
void | setId (XMLSize_t id)
| methods needed by implementation

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ XSObject()

XSObject::XSObject | ( | XSConstants::COMPONENT_TYPE | compType,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )

The default constructor.

Parameters

  compType |
  xsModel |
  manager | The configurable memory manager

## ◆ ~XSObject()

virtual XSObject::~XSObject | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getId()

virtual XMLSize_t XSObject::getId | ( |  | ) | const
| virtual

Optional.

Return a unique identifier for a component within this XSModel, to optimize querying. May not be defined for all types of component.

Returns
  id unique for this type of component within this XSModel or 0 to indicate that this is not supported for this type of component.

## ◆ getName()

virtual const XMLCh * XSObject::getName | ( |  | ) | const
| virtual

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented in XSAttributeDeclaration, XSAttributeGroupDefinition, XSComplexTypeDefinition, XSElementDeclaration, XSIDCDefinition, XSModelGroupDefinition, XSNotationDeclaration, XSSimpleTypeDefinition, and XSTypeDefinition.

## ◆ getNamespace()

virtual const XMLCh * XSObject::getNamespace | ( |  | ) | const
| virtual

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented in XSAttributeDeclaration, XSAttributeGroupDefinition, XSComplexTypeDefinition, XSElementDeclaration, XSIDCDefinition, XSModelGroupDefinition, XSNotationDeclaration, XSSimpleTypeDefinition, and XSTypeDefinition.

## ◆ getNamespaceItem()

virtual XSNamespaceItem * XSObject::getNamespaceItem | ( |  | ) |
| virtual

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented in XSAttributeDeclaration, XSAttributeGroupDefinition, XSComplexTypeDefinition, XSElementDeclaration, XSIDCDefinition, XSModelGroupDefinition, XSNotationDeclaration, XSSimpleTypeDefinition, and XSTypeDefinition.

## ◆ getType()

XSConstants::COMPONENT_TYPE XSObject::getType | ( |  | ) | const

The `type` of this object, i.e.

`ELEMENT_DECLARATION`.

References fComponentType.

## ◆ setId()

void XSObject::setId | ( | XMLSize_t | id | ) |

methods needed by implementation

Set the id to be returned on getId().

## Member Data Documentation

## ◆ fComponentType

XSConstants::COMPONENT_TYPE XSObject::fComponentType
| protected

Referenced by getType().

## ◆ fId

XMLSize_t XSObject::fId
| protected

## ◆ fMemoryManager

MemoryManager* XSObject::fMemoryManager
| protected

## ◆ fXSModel

XSModel* XSObject::fXSModel
| protected

The documentation for this class was generated from the following file:

- XSObject.hpp